LSCLOCKS(1)

NAZWA
lsclocks - wyświetla zegary systemowe

SKŁADNIA

lsclocks [opcja]

OPIS

lsclocks jest prostym poleceniem wyświetlającym zegary systemowe.

It allows to display information like current time and resolution of clocks. Different kinds of clocks are supported.

    • POSIX clocks: CLOCK_MONOTONIC, CLOCK_REALTIME, CLOCK_BOOTTIME, etc.

    • CPU clocks: clock_getcpuclockid(3).

    • PTP clocks: /dev/ptp0.

    • RTC clocks: /dev/rtc0.

    • Auxiliary clocks: CLOCK_AUX0, CLOCK_AUX1, etc.

OPCJE

-J, --json
    Używa formatu wyjściowego JSON.

-n, --noheadings
    Nie wyświetla nagłówków.

-o, --output lista
    Określa kolumnę wyjściową do wyświetlenia. W rozdziale KOLUMNY WYJŚCIOWE opisano szczegółowo dostępne kolumny.

--output-all
    Wyświetla wszystkie kolumny.

-r, --raw
    Używa surowego formatu wyjściowego

-t, --time clock
    Pokazuje czas bieżący podanego zegara.

--no-discover-dynamic
    Nie stara się znaleźć zegarów dynamicznych.

-d, --dynamic-clock ścieżka
    Wyświetla również podany zegar dynamiczny. Opcji można użyć wielokrotnie.

--no-discover-rtc
    Nie stara się znaleźć zegarów czasu rzeczywistego (RTC)

-x, --rtc ściezka
    Wyświetla również podany zegar czasu rzeczywistego (RTC). Opcji można użyć wielokrotnie.

-c, --cpu-clock pid
    Wyświetla również podany zegar czasu procesora podanego procesu. Opcji można użyć wielokrotnie.

-h, --help
    Wyświetla ten tekst i wychodzi.

-V, --version
    Wyświetla wersję i wychodzi.

ŚRODOWISKO

LSCLOCKS_COLUMNS=
    Specifies a comma-separated list of output columns to print. All columns listed in OUTPUT COLUMNS can be used.

LIBSMARTCOLS_DEBUG=all
    włącza wyjście debugowania libsmartcols.

LIBSMARTCOLS_DEBUG_PADDING=on
    używa widocznych znaków wypełnienia.

KOLUMNY WYJŚCIOWE

Każda kolumna posiada typ. Typy są ograniczone znakami < i >.

TYPE <łańcuch>
    Typ zegara.

ID <numer>
    Numeryczny identyfikator zegara.

CLOCK <łańcuch>
    Nazwa w postaci CLOCK_

NAME <łańcuch>
    Krótsza, czytelniejsza nazwa.

TIME <liczba>
    Current clock timestamp as returned by clock_gettime(2).

ISO_TIME <łańcuch>
    Wersja TIME sformatowana według ISO8601.

RESOL_RAW <liczba>
    Rozdzielczość zegara zwracana przez clock_getres(2).

RESOL <liczba>
    Czytelna dla człowieka wersja RESOL_RAW.

REL_TIME <łańcuch>
    czas TIME sformatowany jako zakres czasu.

NS_OFFSET <liczba>
    Przesunięcie bieżącej przestrzeni nazw wobec macierzystej przestrzeni nazw, odczytane z /proc/self/timens_offsets.

AUTORZY

ZOBACZ TAKŻE

clock_getres(2) clock_gettime(2)

ZGŁASZANIE BŁĘDÓW

Problemy należy zgłaszać w

DOSTĘPNOŚĆ

Polecenie lsclocks jest częścią pakietu util-linux, który można pobrać ze strony